curl --request PATCH \
--url https://demo.enneo.ai/api/mind/template/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Reminder (updated wording)",
"message": "<p>Hallo {{contract.firstName}},</p><p>wir brauchen deinen Stand bis {{addDays intent.data.date 3}}.</p>",
"subject": "Wir benötigen deinen Zählerstand (Update)",
"exampleTicketIds": [
8812,
9100
]
}
'{
"id": 1,
"tagId": 1,
"emailTemplateId": 1,
"description": "Zählerstand erfolgreich hinterlegt",
"message": "<p>Wir haben den Zählerstand von {{intent.data.reading}} kWh für den {{formatDateDE intent.data.date}} erfasst und im System hinterlegt.</p>",
"subject": "Wir brauchen Deine Unterstützung",
"exampleTicketIds": [
1
],
"mergedTemplate": "Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.",
"template": "<p>Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.</p>",
"success": true
}Requires the manageTemplates permission.
curl --request PATCH \
--url https://demo.enneo.ai/api/mind/template/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Reminder (updated wording)",
"message": "<p>Hallo {{contract.firstName}},</p><p>wir brauchen deinen Stand bis {{addDays intent.data.date 3}}.</p>",
"subject": "Wir benötigen deinen Zählerstand (Update)",
"exampleTicketIds": [
8812,
9100
]
}
'{
"id": 1,
"tagId": 1,
"emailTemplateId": 1,
"description": "Zählerstand erfolgreich hinterlegt",
"message": "<p>Wir haben den Zählerstand von {{intent.data.reading}} kWh für den {{formatDateDE intent.data.date}} erfasst und im System hinterlegt.</p>",
"subject": "Wir brauchen Deine Unterstützung",
"exampleTicketIds": [
1
],
"mergedTemplate": "Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.",
"template": "<p>Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.</p>",
"success": true
}JWT-based authentication
Template ID
Template updated successfully
The id of the template
1
The id of the tag that the template belongs to
1
The id of the email template that is used for wrapping
1
The description of the intent template
"Zählerstand erfolgreich hinterlegt"
The template itself
"<p>Wir haben den Zählerstand von {{intent.data.reading}} kWh für den {{formatDateDE intent.data.date}} erfasst und im System hinterlegt.</p>"
The subject of the email for outgoing emails
"Wir brauchen Deine Unterstützung"
The ids of the tickets that are used as examples for the intent template
The merged template
"Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt."
The template itself
"<p>Wir haben den Zählerstand von 123 kWh für den 01.01.2022 erfasst und im System hinterlegt.</p>"
If true, the template is successful
true